from win32com import client
import time

s = client.Dispatch('{82423ECF-EFC0-47E0-8AB0-35ADE2CD3EEF}')
#寻找设备通道一
print("寻找设备通道一")
print(s.FindDeviceByName("192.168.0.7:1031"))

s2 = client.Dispatch('{82423ECF-EFC0-47E0-8AB0-35ADE2CD3EEF}')
#寻找设备通道二
print("寻找设备通道二")
print(s2.FindDeviceByName("192.168.0.7:1032"))


#打印序列号
if s.DeviceIsOpen():
	print(s.GetSerialNumber())
else:
	sys.exit()
time.sleep(1)
#读取开路电位
print(s.GetOcpValue())
#测试方法参数设置  以下为60Hz频率 采样100秒 
s.SetOcpParams(100.0,60.0)
time.sleep(1)
s.DeviceStart()

#读取返回的数据量和数据值
while s.ExpIsEnd()==False:
	print(s.GetValuesCount())
	print(s.GetLastValue())
	time.sleep(1)
#测量结束
print(s.GetValuesCount())
print(s.GetLastValue())

#断开
s.DeviceDisconnect()